EventBase::dispatch
EventBase::free
EventBase
PHP Manual

# EventBase::exit

(PECL event >= 1.2.6-beta)

EventBase::exit — Stop dispatching events

### Description

public bool EventBase::exit ([ double `$timeout` ] )

Tells event base to stop optionally after given number of seconds.

### Parameters

`timeout`

  Optional number of seconds after which the event base should stop dispatching events.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBase::stop() - Tells event_base to stop dispatching events

EventBase::dispatch
EventBase::free
EventBase
PHP Manual